from nacl.signing import SigningKey
import base64

class Identity(object):
    """
    Container for ED25519 keypair
    """
    def __init__(self) -> None:
        super().__init__()
        self.private_key = SigningKey.generate()
        self.public_key = self.private_key.verify_key

    # def __str__(self):
    #     return bytes.decode(base64.b64encode(self.public_key))

    # def __repr__(self) -> str:
    #     return self.__str__()


if __name__ == '__main__':
    alice = Identity()
    print(alice)